### Method

# Gtk.Builder.extend_with_template

#### Declaration [src]

    gboolean
    gtk_builder_extend_with_template (
      GtkBuilder* builder,
      GObject* object,
      GType template_type,
      const char* buffer,
      gssize length,
      GError** error
    )

#### Description [src]

Main private entry point for building composite components from template XML.

This is exported purely to let `gtk-builder-tool` validate templates, applications have no need to call this function.

#### Parameters

`object` | `GObject*`
| the object that is being extended
| Ownership is not transferred to the callee
`template_type` | `GType`
| the type that the template is for
`buffer` | `const char*`
| the string to parse
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`length` | `gssize`
| the length of `buffer` (may be -1 if `buffer` is nul-terminated)

#### Return value

Returns: `gboolean`
A positive value on success, 0 if an error occurred